%This is a Matlab script developed by Konstantinos Glynis
%based on the analysis of (https://www.itia.ntua.gr/el/docinfo/2079/)
%K. Glynis, T. Iliopoulou, P. Dimitriadis, and D. Koutsoyiannis, Stochastic investigation 
%of daily air temperature extremes from a global ground station network

function [ Sout ] = new_cleaning( Q,S )

% removes flagged values
for i=1:length(S(:,4));
    if strcmp(Q(i,2),' ') ~= 1;
        S(i,4) = NaN;
    end
end
Sout = S;
end